/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or  
 *	implied, as to its fitness for any particular use.
 *
 *
 *	QueryController
 *
 *	Inherits From:		NSObject
 *
 *	Conforms To:		None.
 *
 *	Declared In:		QueryController.h
 *
 *	Class Description
 *
 *		Builds query based on entity and attributes selected as well as
 *		qualifying conditions.  
 *
 *
 *------------------------------------------------------------------------*/
#import <appkit/appkit.h>
#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>
#import <foundation/NSObject.h>
#import <foundation/NSArray.h>



@interface QueryController : NSObject
{
    EOAdaptor				*adaptor;
	EOAdaptorChannel		*channel;
    EODatabase				*database;
	EODatabaseContext		*dbContext;
	EODatabaseChannel		*dbChannel;
	EODatabaseDataSource	*dataSource;
	EOController 			*controller;
    EOEntity				*entity;
	EOQualifier				*qualifier;

    id	browser;
	id	negator;
	id	qualifierBrowser;
	id	qualifierText;
	id	qualifierOperation;
    id	queryText;
    id	window;
	id	modelPath;

	id	resultWindow;
	id	resultTable;
}

/*--------------------------------------------------------------------------
 *	Application Delegate Methods
 *------------------------------------------------------------------------*/
- appDidInit: sender;


/*--------------------------------------------------------------------------
 *	Target/Action Methods
 *------------------------------------------------------------------------*/
- performQuery:sender;
- clearQualifier:sender;
- replaceQualifier:sender;
- appendAND:sender;
- appendOR:sender;
- selectOperation:sender;
- selectAttribute:sender;

- (void) fetchAndDisplay:(NSArray *)attributes inEntity:(EOEntity *)anEntity
	withQualifier:(EOQualifier *)aQualifier;


@end
